Bug 129413 - update databases/freetds to 0.82.1 and take maintainership
Summary: update databases/freetds to 0.82.1 and take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Beech Rintoul
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-12-04 04:10 UTC by Peter Lai
Modified: 2009-03-09 05:02 UTC (History)
0 users

See Also:


Attachments
file.diff (30.34 KB, patch)
2008-12-04 04:10 UTC, Peter Lai
no flags Details | Diff
freetds-global-diff.txt (14.99 KB, text/plain; charset=US-ASCII)
2009-02-09 22:26 UTC, Peter Lai
no flags Details
freetds-global-diff.txt (14.99 KB, text/plain; charset=us-ascii)
2009-02-09 23:16 UTC, Peter Lai
no flags Details
freetds-global-diff.txt (14.99 KB, text/plain; charset=us-ascii)
2009-02-09 23:32 UTC, peter
no flags Details
freetds-global.diff (15.22 KB, patch)
2009-02-10 03:42 UTC, peter
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Lai 2008-12-04 04:10:00 UTC
I would like to take maintainership of the databases/freetds port, and update it to 0.82.1

Request testing by current users of this port. Fork to -devel if necessary.

Currently tested with WITH_MSDBLIB against MS SQL 2000 and MS SQL 2005 and databases/unixODBC.

Fix: See unified diff below for patch information.

Request testing.

Patch attached with submission follows:
Comment 1 Beech Rintoul freebsd_committer 2008-12-04 04:13:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

I'll take it
Comment 2 Peter Lai 2008-12-04 04:21:28 UTC
Miss post-processed diff for pkg-plist.

sed -e 's#freetds-0\.82\.1\.dev\.20081111/##' patch.txt before applying!

On Wed, Dec 3, 2008 at 11:10 PM,  <FreeBSD-gnats-submit@freebsd.org> wrote:
> Thank you very much for your problem report.
> It has the internal identification `ports/129413'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs.
>
> You can access the state of your problem report at any time
> via this link:
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=129413
>
>>Category:       ports
>>Responsible:    freebsd-ports-bugs
>>Synopsis:       update databases/freetds to 0.82.1 and take maintainership
>>Arrival-Date:   Thu Dec 04 04:10:00 UTC 2008
>
Comment 3 dfilter service freebsd_committer 2008-12-05 03:38:38 UTC
beech       2008-12-05 03:38:23 UTC

  FreeBSD ports repository

  Modified files:
    databases/freetds    Makefile distinfo pkg-plist 
  Added files:
    databases/freetds/files patch-doc_Makefile.in 
  Removed files:
    databases/freetds/files noportdocs-patch-doc__Makefile.in 
                            patch-src_tds_iconv.c 
  Log:
  - Update to 0.82.1
  - Add options
  - Make port respect NOPORTDOCS
  - Pass maintainership to submitter
  
  PR:             ports/129413
  Submitted by:   Peter C. Lai <cowbert@gmail.com>
  
  Revision  Changes    Path
  1.52      +28 -10    ports/databases/freetds/Makefile
  1.16      +3 -3      ports/databases/freetds/distinfo
  1.2       +0 -12     ports/databases/freetds/files/noportdocs-patch-doc__Makefile.in (dead)
  1.1       +103 -0    ports/databases/freetds/files/patch-doc_Makefile.in (new)
  1.2       +0 -23     ports/databases/freetds/files/patch-src_tds_iconv.c (dead)
  1.19      +6 -215    ports/databases/freetds/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Beech Rintoul freebsd_committer 2008-12-05 03:39:18 UTC
State Changed
From-To: open->closed

Committed, Thanks!
Comment 5 dfilter service freebsd_committer 2008-12-06 22:43:52 UTC
beech       2008-12-06 22:43:44 UTC

  FreeBSD ports repository

  Modified files:
    databases/freetds    Makefile distinfo pkg-plist 
  Added files:
    databases/freetds/files noportdocs-patch-doc__Makefile.in 
                            patch-src_tds_iconv.c 
  Removed files:
    databases/freetds/files patch-doc_Makefile.in 
  Log:
  - Revert to 0.64 (Update breaks dependent ports)
  - Bump portepoch
  
  PR:             ports/129413
  Reported by:    pointyhat (pav)
  
  Revision  Changes    Path
  1.54      +11 -28    ports/databases/freetds/Makefile
  1.17      +3 -3      ports/databases/freetds/distinfo
  1.3       +12 -0     ports/databases/freetds/files/noportdocs-patch-doc__Makefile.in (new)
  1.2       +0 -103    ports/databases/freetds/files/patch-doc_Makefile.in (dead)
  1.3       +23 -0     ports/databases/freetds/files/patch-src_tds_iconv.c (new)
  1.20      +215 -6    ports/databases/freetds/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Beech Rintoul freebsd_committer 2008-12-06 23:01:33 UTC
State Changed
From-To: closed->open

Re-open after port revert, update now pending
Comment 7 Peter Lai 2009-02-09 22:26:54 UTC
freetds 0.82.1 update

4 dependent ports affected:

databases/libgda3
databases/ruby-sybct
net/asterisk
net/asterisk12
Comment 8 Peter Lai 2009-02-09 22:33:42 UTC
For UPDATING:

yyyymmdd:
    AFFECTS: users of databases/freetds
    freetds has been updated to the latest patched stable version
0.82.1-dev-20081111. The libtds library has been rolled into libsybdb.
Users should rebuild all ports linked to libtds. Run something like:
#  portupgrade -rf databases/freetds
Comment 9 Peter Lai 2009-02-09 23:16:51 UTC
Lets try the attachment again

-- 
===========================================================
Peter C. Lai                 | Bard College at Simon's Rock
Systems Administrator        | 84 Alford Rd.
Information Technology Svcs. | Gt. Barrington, MA 01230 USA
peter AT simons-rock.edu     | (413) 528-7428
===========================================================
Comment 10 peter 2009-02-09 23:32:31 UTC
ARGH 3 times the charm.

-- 
===========================================================
Peter C. Lai                 | Bard College at Simon's Rock
Systems Administrator        | 84 Alford Rd.
Information Technology Svcs. | Gt. Barrington, MA 01230 USA
peter AT simons-rock.edu     | (413) 528-7428
===========================================================
Comment 11 peter 2009-02-10 03:42:53 UTC
Heads UP: Pending API Bump in databases/freetds affects:

databases/libgda3 (gnome@)
databases/ruby-sybct (ports@logvinov.com)
net/asterisk{12} (sobomax@)

See attached diff for the patch relevant to your port.

Thanks
-- 
===========================================================
Peter C. Lai                 | Bard College at Simon's Rock
Systems Administrator        | 84 Alford Rd.
Information Technology Svcs. | Gt. Barrington, MA 01230 USA
peter AT simons-rock.edu     | (413) 528-7428
===========================================================
Comment 12 peter 2009-02-10 08:01:11 UTC
On 2009-02-09 10:42:52PM -0500, Peter C. Lai wrote:
> Heads UP: Pending API Bump in databases/freetds affects:
> 
> databases/ruby-sybct (ports@logvinov.com)
> 
> See attached diff for the patch relevant to your port.
> 
> Thanks
> -- 

> --- databases/ruby-sybct/Makefile.dist	2009-02-09 16:49:30.000000000 -0500
> +++ databases/ruby-sybct/Makefile	2009-02-09 17:12:01.000000000 -0500
> @@ -16,7 +16,7 @@
>  MAINTAINER=	ports@logvinov.com
>  COMMENT=	Ruby module for accessing Sybase databases
>  
> -LIB_DEPENDS=	tds.5:${PORTSDIR}/databases/freetds
> +LIB_DEPENDS=	ct:${PORTSDIR}/databases/freetds
>  
>  USE_RUBY=	yes
>  USE_RUBY_EXTCONF=	yes

Please also approve: http://people.freebsd.org/~beech/diffs/ruby-sybct.diff
for freetds api bump.
-- 
===========================================================
Peter C. Lai                 | Bard College at Simon's Rock
Systems Administrator        | 84 Alford Rd.
Information Technology Svcs. | Gt. Barrington, MA 01230 USA
peter AT simons-rock.edu     | (413) 528-7428
===========================================================
Comment 13 Beech Rintoul freebsd_committer 2009-03-09 05:01:39 UTC
State Changed
From-To: open->closed

Partially committed, update ongoing